Follow

Windows Collector 6.6.X Release Notes

Software Requirements

Supported operating systems

Desktop

  • Windows 7 - 32 and 64 bits
  • Windows 8 and 8.1 - 32 and 64 bits
  • Windows 10 - 32 and 64 bits *(see Known limitations of 6.6.1.0 below)

Server

  • Windows Server 2008 R2 - 64 bits
  • Windows Server 2012 and 2012 R2 - 64 bits

Note that Windows XP, Windows Vista, Windows Server 2003, and Windows Server 2008 are no longer supported.

Pre-requisites

  • The targeted device must be able to communicate via TCP and UDP with the Engine.
  • To install the Collector using their MSI, the Windows installer (msiexec) version 3.0 or higher is required.

Nexthink dependency matrix

The latest Engine is always compatible with the latest version of Collector and with all its previous versions. If you want to upgrade to the latest release of the Collector, we encourage you to upgrade your Engines first.

  Nexthink Engine V6.6 or higher Nexthink Engine v6.1
Nexthink Engine v6.0 Nexthink Engine v5.3
Nexthink Collector V6.6 OK

Not OK

Not OK

Not OK

Nexthink Collector V6.1

OK

OK - without DirectAccess support

OK - without DirectAccess support

OK - with DirectAccess support in Engine 5.3.6, 5.3.7, and 5.3.8 only

Nexthink Collector v6.0 OK OK OK Not OK
Nexthink Collector v5.3 OK OK OK OK

Version 6.6.1.0

New Features

  • Collectors are able to update themselves by retrieving the latest version from their Engine.

Fixed issues

Customer issues

  • [Support-15614][CLT-2276] - Fix for missing UUID field.

Internal issues

  • [NXI-28] - The old Updater is uninstalled by the new Collector Installer.
  • [NXI-18][NXI-12][NXI-45][NXI-65][NXI-64][NXI-63][NXI-53] - All parameters from the existing Collector (v5/v6 Collector if any) are kept during upgrade.
  • [NXI-26][NXI-25][NXI-1][NXI-40] - New UI Changes in Collector Installer for Customer Key and Root CA.
  • [NXI-54][NXI-55][NXI-3][NXI-46][NXI-5][NXI-51][NXI-52] - Cosmetic changes in UI of new Collector Installer generator and new Collector MSI.

Known limitations

  • Due to a change in the Windows policy for signing drivers, the Collector 6.6.1.0 is not able to install in a machine that runs a fresh installation of Windows 10 Anniversary Edition (build 1607) with Secure Boot enabled. If you need to install the Collector on this particular version of Windows, please download the Collector 6.1.3.0 or wait for the 6.7.x release.

 

Was this article helpful?
0 out of 1 found this helpful
Have more questions? Submit a request

Comments

Powered by Zendesk